package TestPackage;


import Java2OWL.J2OWLClass;
import Java2OWL.J2OWLProperty;
/**
 *
 * @author ohlbach
 */

 
        
@J2OWLClass(name = "Address", OWLSuperClasses = "DeadThing")
public class TestAddress {             
    String city;
    String street; 
    short number;  
    
    public TestAddress(){}
    
    public TestAddress(String city, String street, short number) {
        this.city = city;
        this.street = street;
        this.number = number;}
    
    @J2OWLProperty(name = "livesInCity", setter = "setCity")
    public String getCity() {return city;}
    
    public void setCity(String city) {
        this.city = city;}
    
    @J2OWLProperty(name = "livesInStreet", setter = "setStreet")
    public String getStreet() {return street;}
    
    public void setStreet(String street)  {
        this.street = street;}
     
    
    @J2OWLProperty(name = "streetNumber", setter = "setNumber")
    public short getNumber() {return number;}
    
    public void setNumber(short number) {
        this.number = number;}
    
    public String getName() {return city+"_"+street+"_"+number;}
    
    @Override
    public String toString() {
        return city + ", " + street + " " + number;}
 
    @Override
    public boolean equals(Object addr) {
        TestAddress address = (TestAddress)addr;
        return city.equals(address.city) && 
                street.equals(address.street) && 
                number == address.number;
    }
        
    public static void main(String[] args) {
           
    }
     
}
