/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package TestPackage;

import Java2OWL.J2OWLClass;
import Java2OWL.J2OWLProperty;
import java.lang.reflect.Method;
import java.util.Arrays;
 
/**
 *
 * @author ohlbach
 */ 
@J2OWLClass(name = "Programme", OWLSuperClasses = "DeadThing", naming = "toString")
public class TestStudyProgramme {    
    String name;
    TestScience[] sciences;
            
    public TestStudyProgramme() {
    sciences = new TestScience[0];
    } 
    
    public TestStudyProgramme(String name, TestScience... sciences) {
        this.name = name;
        this.sciences = sciences;
    }
    
    @J2OWLProperty(name = "hasName", setter="setName")
    public String getName() {return name;}
    
    
    public void setName(String name) {    
        this.name = name;}
    
    @J2OWLProperty(name = "inScience", setter = "setSciences", adder="addScience", remover="removeScience")
    public TestScience[] getSciences() {return sciences;}  
    
    public void setSciences(TestScience[] sciences) {this.sciences = sciences;}
    
    public void addScience(TestScience science) {
        sciences = Arrays.copyOf(sciences,sciences.length+1);
        sciences[sciences.length-1] = science;}
    
    public void removeScience(TestScience science) {
        sciences = Arrays.copyOf(sciences,sciences.length-1);}
     
    
    
    public String toString() {
        String s =  getName() + "_";
        if(sciences != null) {
            for(TestScience science : sciences) s += science.getName() + ",";}
        return s.substring(0,s.length()-1);} 
    
    public static void main(String[] args) {
        int i = 0;
        for(Method m : TestStudyProgramme.class.getDeclaredMethods()) {
            System.out.println("M " + m.getName() + "  " + i);
            ++i;
        }
        
    }
}
